Bug 1247083 - dnf timers require network access and thus should require systemd network target
Summary: dnf timers require network access and thus should require systemd network target
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
(Show other bugs)
Version: 27
Hardware: Unspecified Unspecified
low
unspecified
Target Milestone: ---
Assignee: rpm-software-management
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: EasyFix, Reopened, Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-07-27 09:59 UTC by Christian Stadelmann
Modified: 2018-07-13 06:49 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-06-28 08:26:54 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 1600823 None None None Never

Description Christian Stadelmann 2015-07-27 09:59:11 UTC
Description of problem:
dnf-makecache.timer and dnf-automatic.timer are starting dnf in a way that only makes sense if network access is available. Both state

WantedBy=basic.target

in their .timer files. Shoudn't this be

WantedBy=network.target

or even

WantedBy=network-online.target

? Without network access both timers will fail to do their job anyway.

Version-Release number of selected component (if applicable):
dnf-1.0.1-2.fc22.noarch

Comment 1 Fedora Admin XMLRPC Client 2016-07-08 09:34:09 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 2 Fedora End Of Life 2016-07-19 17:12:25 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 3 Jaroslav Mracek 2017-06-13 16:30:15 UTC
There is a pull-request that should implement it (https://github.com/rpm-software-management/dnf/pull/815).

Comment 4 Fedora End Of Life 2017-07-25 19:02:45 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 5 Jan Kurik 2017-08-15 06:57:26 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.

Comment 7 Jaroslav Mracek 2018-06-28 08:26:54 UTC
The issue is solved by dnf-3.0.1-1 that was released into rawhide.

Comment 8 Adam Williamson 2018-07-13 06:49:18 UTC
The way this was fixed is incorrect and puts systemd in an impossible situation (dnf-makecache.timer asks systemd for two different, mutually exclusive things). This seems to result in NetworkManager.service being thrown out from the startup process, sometimes, and thus the system's network connection not being brought up on boot. See https://bugzilla.redhat.com/show_bug.cgi?id=1600823 .

I am sending a pull request which actually implements what Christian suggested in the first place, rather than the incorrect change which was actually made.


Note You need to log in before you can comment on or make changes to this bug.